ADDR2NAME(1)

NAME
addr2name, name2addr - perform DNS lookups from scripts

SYNOPSIS
addr2name [-46cmnr] [HOSTNAMES]

name2addr [-46cn] [HOSTNAMES]

DESCRIPTON
Write addresses or canonical hostname of specified names to the standard output. If no names are specified via the command line, they are read from the standard input.

OPTIONS

-4 or --ipv4
    Only try to perform IPv4 lookups.

-6 or --ipv6
    Only try to perform IPv6 lookups.

-c or --config
    Only lookup and print results for address families that match locally configured addresses (If the system has no IPv4 resp IPv6 address, then IPv4 resp IPv6 addresses are ignored).

-h or --help
    Display some help and exit.

-m or --multiple
    Normally, if a name yields multiple results, only the first one is printed. With this optional parameter, all results will be printed on a single line, separated by spaces.

-n or --numeric
    Prevent forward hostname lookup. This ensures that the input names are numeric addresses, which do not need to be looked up. Typically used along with the --reverse option to convert numerical addresses to canonical hostnames.

-r or --reverse
    Perform a reverse DNS lookup (enabled implicitly with addr2name). addr2name prints numerical resolved addresses by default instead.

--version
    Display program version and license and exit.

SEE ALSO
host(1), getaddrinfo(3), getnameinfo(3), resolv.conf(5)

AUTHOR
Rémi Denis-Courmont <remi at remlab dot net>

http://www.remlab.net/ndisc6/